Download it now!
Bug 120449 - kde5: Keyboard shortcuts not shown in menu
Summary: kde5: Keyboard shortcuts not shown in menu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.2.0
Keywords:
: 120826 (view as bug list)
Depends on:
Blocks: Main-Menu Shortcuts-Accelerators KDE
  Show dependency treegraph
 
Reported: 2018-10-09 10:29 UTC by Michael Weghorn
Modified: 2018-10-24 18:08 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-10-09 10:29:02 UTC
version: master build as of commit 260701270abc7997996625449cd3d40f8b4f7f49
VCL: kde5 on X11 (the gtk3 VCL plugin e.g. works fine)
platform: Debian testing, Plasma 5 desktop

Steps to reproduce:

1) start LibreOffice Writer
2) open the "Tools" menu
3) look at the "Autotext..." entry

Result: The keyboard shortcut (Ctrl+F3) that can be used instead of navigating through the menu is not displayed.

Expected result: The keyboard shortcut "Ctrl+F3" should be shown next to the menu entry.

Notes:

* The keyboard shortcut "Ctrl+F3" works as expected, it's just not shown in the menu.
* The keyboard shortcut is displayed when using e.g. the gtk3 VCL plugin.
* Other KDE applications, e.g. Kate, also show keyboard shortcuts in their menu.
Comment 1 Katarina Behrens (Inactive) 2018-10-23 13:44:14 UTC
*** Bug 120826 has been marked as a duplicate of this bug. ***
Comment 2 Commit Notification 2018-10-23 20:48:16 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9415f3e10274cc4087a72d425a223309d39ede27

tdf#120449: Show keyboard shortcuts in native menus

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Weghorn 2018-10-24 18:08:59 UTC
Verified with

Version: 6.2.0.0.alpha1+
Build ID: 9dc5234d36ebcafca36aece80b6a9b59da287cda
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded